import * as $dara from '@darabonba/typescript';
import { DescribeNatGatewayAssociateNetworkInterfacesResponseBody } from "./DescribeNatGatewayAssociateNetworkInterfacesResponseBody";
export declare class DescribeNatGatewayAssociateNetworkInterfacesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeNatGatewayAssociateNetworkInterfacesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
